{% extends 'template.html' %}
{% load static %}

{% block meta %}
<link href="{% static 'css/story6.css' %}" rel="stylesheet" type="text/css">
<title>Daftar Kegiatan</title>
{% endblock meta %}

{% block static %}
<style>
  body{background-color: #F4F750};
</style>
{% endblock static %}

{% block content %}
<div class="title-top2">
    <div class="center" align="center">
        <h1 class="title" style="margin-top: 50px;">Daftar Kegiatan</h1>
        <div class="button" style="margin: 30px; padding-left: 916px;">
            <a href="/new_kegiatan" class="btn btn-primary" role="button" aria-pressed="true" style="background-color: #2AB6CB;"> + | Tambah Kegiatan Baru</a>  
        </div>
</div>
<div class="content container">
    <h5 style="color: #FF7B00;" align=center>Silahkan Daftarkan Anggota Pada Kegiatan Melalui Form di Bawah Ini!</h5>
    
    {% if result == 1  %}
    <h5 style="color: red;" align=center>'''Anggota baru telah sukses ditambahkan''' </h5>
    
    {% elif result == 0  %}
    <h5 style="color: red;" align=center>Maaf, Anggota baru gagal ditambahkan !!</h5>

    {% endif %}
    <br>
    <div class="row">
        <div class="col-md">
            <form method="POST" action="" novalidate>
                {% csrf_token %}
                <table class="table table-hover">
                    {{ form.as_table }}
                    <tr>
                        <td class="center-content" colspan="2">
                            <button type="submit" class="btn btn-primary click" style="margin-top: 24px;margin-bottom: 24px;">Simpan Anggota</button>
                        </td>
                    </tr>
                </table>
            </form>
        </div>
    </div>
</div>    
    {% csrf_token %}
    {% for kegiatan in datakegiatan %}
      <div class="container" align=center>
        <div class="column" style="margin-bottom: 20px;">
          <div class="card border-info mb-3" style="max-width: 100%;">
            <div class="card-body text-info" style="background-color: #f4f75063;">
                <h3 class="title2" style="font-size: 20px;padding-bottom: 0px;" >{{kegiatan.nama_kegiatan}}</h3>
                {% csrf_token %}
                {% for member in datamember %}
                    {% if member.Kegiatan == kegiatan %}
                    <h1 style="font-size: 16px;"> {{member.nama_anggota}} </h1>
                    {% endif %}
                {% endfor %}
            </div>
          </div>
        </div>
      </div>
    {% endfor %}

{% endblock content %}